classification
Title: allow subclassing of bytes type
Type: enhancement Stage:
Components: Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: gvanrossum Nosy List: gvanrossum, mfenniak
Priority: high Keywords: patch

Created on 2007-09-17 17:18 by mfenniak, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
bytes-subclass-patch.diff mfenniak, 2007-09-17 17:18
Messages (2)
msg55970 - (view) Author: Mathieu Fenniak (mfenniak) Date: 2007-09-17 17:18
Uploading patch to make bytes type subclassable.

As e-mailed to python-3000 list during discussion with Guido, attached
patch to make bytes type subclassable.  Included are unit tests, and a
minor fix for pickling subclass instances (including __dict__ in
bytes_reduce).
msg57081 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-11-03 00:24
Committed revision 58819.
History
Date User Action Args
2008-01-06 22:29:45adminsetkeywords: - py3k
versions: Python 3.0
2007-11-03 00:24:44gvanrossumsetstatus: open -> closed
resolution: accepted
messages: + msg57081
2007-10-29 20:14:49gvanrossumsetpriority: normal -> high
2007-09-18 15:15:55jafosetpriority: normal
assignee: gvanrossum
keywords: + py3k, patch
nosy: + gvanrossum
2007-09-17 17:18:33mfenniakcreate